Description

One of the limitations of Orangutan is that he mades currently a single change to Redmine. While in Redmine you can change

several properties...

Let me explain... Check this scenario:

1. User tells “100% done”, Orangutan saves this

2. Orangutan asks if user wants to close the issue

3. User agrees, Orangutan changes status + sets due date (in separate context)

What we will have? We will have three journals:

1. Changed done ratio to 100%

2. Changed status to Closed

3. Changed due date to XX/XX/XXXX

The last two journals will have exactly the same date of creation!.. This can end up with many little journals!

One of the possible solution is (when posting change) to "add" changes to the previous journal. But the issue with this solution are:

Some user will already get notifications about the journal without new change

The change date won’t be accurate

So the another (and better) solution is:

Support subrequests in user messages like:

User: #1617 is 100% done, close #1617 and change due date to today

This should be the same as:

User: #1617 is 100% done

User: Close #1617

User: Change due of #1617 date to today

But this should only create a single journal.

Postpone commit to the end of message handling.

That is if some another context is changing something on some event in its event handler it will be added to the same journal.

P.S. Subrequests can be of completely different types, e.g.:

User: #1617 is Closed and I am free now

History

#1 - 03 Feb 2011 19:40 - Andriy Lesyuk
- Subject changed from Support several subqueries in single message to Support subrequests in single request message

#2 - 03 Mar 2011 13:09 - Andriy Lesyuk

- Tracker changed from Feature to Enhancement

#3 - 04 Mar 2011 00:13 - Andriy Lesyuk

Regarding second solution a special mode can be added, e.g.:

User: Going to make many changes to #562

Orangutan: Thanks for letting me know.

User: 50% done

...

User: That's it

Orangutan: Cool! Saving.
